Canvas5StyleManagerInternal::PenStyle::Line Struct Reference

a line of a Canvas5StyleManager pen style More...

## Public Member Functions
| Line ()
| constructor

## Public Attributes
MWAWVec2f | m_size
| the line width
float | m_offset
| the offset
MWAWVariable< MWAWColor > | m_color
| the line color

## Detailed Description

a line of a Canvas5StyleManager pen style

## Constructor & Destructor Documentation

## ◆ Line()

Canvas5StyleManagerInternal::PenStyle::Line::Line | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_color

MWAWVariable<MWAWColor> Canvas5StyleManagerInternal::PenStyle::Line::m_color

the line color

Referenced by Line(), and Canvas5StyleManager::readPenStyle().

## ◆ m_offset

float Canvas5StyleManagerInternal::PenStyle::Line::m_offset

the offset

Referenced by Line().

## ◆ m_size

MWAWVec2f Canvas5StyleManagerInternal::PenStyle::Line::m_size

the line width

Referenced by Line(), and Canvas5StyleManager::readPenStyle().

The documentation for this struct was generated from the following file:

- Canvas5StyleManager.cxx